Package org.drinkless.tdlib

# Class TdApi.MessageChatSetBackground

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageChatSetBackground

Enclosing class:
  `TdApi`

public static class TdApi.MessageChatSetBackground extends TdApi.MessageContent
A new background was set in the chat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.ChatBackground`
  `background`
  The new background.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `oldBackgroundMessageId`
  Identifier of the message with a previously set same background; 0 if none.
  `boolean`
  `onlyForSelf`
  True, if the background was set only for self.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageChatSetBackground()`
  A new background was set in the chat.
  `MessageChatSetBackground(long oldBackgroundMessageId, TdApi.ChatBackground background, boolean onlyForSelf)`
  A new background was set in the chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### oldBackgroundMessageId

    public long oldBackgroundMessageId
    Identifier of the message with a previously set same background; 0 if none. Can be an identifier of a deleted message.

  - ### background

    public TdApi.ChatBackground background
    The new background.

  - ### onlyForSelf

    public boolean onlyForSelf
    True, if the background was set only for self.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageChatSetBackground

    public MessageChatSetBackground()
    A new background was set in the chat.

  - ### MessageChatSetBackground

    public MessageChatSetBackground(long oldBackgroundMessageId, TdApi.ChatBackground background, boolean onlyForSelf)
    A new background was set in the chat.
    Parameters:
      `oldBackgroundMessageId` - Identifier of the message with a previously set same background; 0 if none. Can be an identifier of a deleted message.
      `background` - The new background.
      `onlyForSelf` - True, if the background was set only for self.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR